# pox-stacking Subgraph API
Version: 1.0.0
Schema hash: aadcef5db5c873ff12d82d33807d5ae06f67f30dd526b5b0f9252387db0cf108
Server: https://api.secondlayer.tools
Visibility: public — anon reads, no API key. Responses use the `{ rows, next_cursor, tip }` envelope; paginate with `?cursor=<next_cursor>` and `_order=asc|desc` (`_offset`/`_sort` are rejected).
PoX-4 stacking lifecycle calls

## calls

GET https://api.secondlayer.tools/v1/subgraphs/pox-stacking/calls
GET https://api.secondlayer.tools/v1/subgraphs/pox-stacking/calls/count
GET https://api.secondlayer.tools/v1/subgraphs/pox-stacking/calls/aggregate
GET https://api.secondlayer.tools/v1/subgraphs/pox-stacking/calls/stream (SSE)

Rows: 16666

### Columns

| Column | Type | Attributes |
| --- | --- | --- |
| `caller` | `principal` | indexed, searchable |
| `result_ok` | `boolean` | - |
| `function_name` | `text` | indexed, searchable |
| `_id` | `serial` | system |
| `_block_height` | `bigint` | system |
| `_tx_id` | `text` | system |
| `_created_at` | `timestamp` | system |

### Query

Parameters: `_limit`, `cursor`, `_order`, `_fields`, `_search`
Filters: `caller`, `caller.neq`, `caller.like`, `result_ok`, `result_ok.neq`, `function_name`, `function_name.neq`, `function_name.like`, `_id`, `_id.neq`, `_id.gt`, `_id.gte`, `_id.lt`, `_id.lte`, `_block_height`, `_block_height.neq`, `_block_height.gt`, `_block_height.gte`, `_block_height.lt`, `_block_height.lte`, `_tx_id`, `_tx_id.neq`, `_tx_id.like`, `_created_at`, `_created_at.neq`, `_created_at.gt`, `_created_at.gte`, `_created_at.lt`, `_created_at.lte`, `_created_at.like`

### Example

```bash
curl 'https://api.secondlayer.tools/v1/subgraphs/pox-stacking/calls?_limit=10&_order=desc'
```
